Balances
Request
GET /v1/accounts/100004000000000000000004/balances HTTP/1.1
Host: rs1.sandbox.mya.ozoneapi.io
authorization: Bearer 7b390bd2-988b-45b0-a1b5-322ff200ce4f
x-signature: eyJhbGciOiJQUzI1NiIs...<truncated-x-signature-token>
x-fapi-interaction-id: 3649a602-566c-49b1-b6c6-ae67519cbba0
Decoded x-signature Token
{
"alg": "PS256",
"kid": "CYMIwoZ1CUbkI0WhG1Km7Td8bU7V2DYEB3cXVHdGwAI"
}
Body
{
"iss": "16f87e367071230059bff09a",
"exp": 1769774361.772,
"iat": 1769774061.772,
"nbf": 1769774061.772,
"aud": [
"DP9876543210",
"Paynet OFP"
],
"jti": "3649a602-566c-49b1-b6c6-ae67519cbba0",
"qpm": {},
"url": "http://https://rs1.sandbox.mya.ozoneapi.io/v1/accounts/100004000000000000000004/balances",
"sub": "a7cb03ff-4c70-4eaa-87f4-f2a4c4c87b0d"
}
Response
200 OK
Content-Type: application/jose
x-fapi-interaction-id: 3649a602-566c-49b1-b6c6-ae67519cbba0
{
"iss": "a7cb03ff-4c70-4eaa-87f4-f2a4c4c87b0d",
"aud": [
"Paynet OFP",
"DP9876543210"
],
"data": "eyJhbGciOiJSU0EtT0FFUC0yNTYiL...<truncated-JWE>",
"exp": 1769777729,
"iat": 1769774129,
"nbf": 1769774129,
"jti": "a633b22d-db14-4e15-ab6e-b61983fa8440"
}
Decrypted JWE
{
"alg": "RSA-OAEP-256",
"enc": "A256GCM",
"cty": "JWT"
}
Body
{
"data": {
"account_id": "100004000000000000000004",
"current_balance": {
"amount": {
"amount": "25000.75",
"currency": "MYR"
},
"credit_debit_indicator": "credit"
},
"statement_balance": {
"amount": {
"amount": "24500.00",
"currency": "MYR"
},
"credit_debit_indicator": "debit"
},
"statement_date": "2025-11-22",
"credit_lines_included": false
}
}